summaryrefslogtreecommitdiffstats
path: root/source/x/libinput
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/libinput')
-rwxr-xr-xsource/x/libinput/libinput.SlackBuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/source/x/libinput/libinput.SlackBuild b/source/x/libinput/libinput.SlackBuild
index e4375ba7a..05b9315c7 100755
--- a/source/x/libinput/libinput.SlackBuild
+++ b/source/x/libinput/libinput.SlackBuild
@@ -50,6 +50,8 @@ fi
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -97,7 +99,7 @@ meson setup \
-Ddocumentation=false \
-Dtests=false \
.. || exit 1
- ninja || exit 1
+ ninja $NUMJOBS || exit 1
DESTDIR=$PKG ninja install || exit 1
cd ..